.navigation {
  color: rgb(15, 15, 15);
  width: 100%;
  background-color: white;
  margin: 0;
  padding: 0;
  font-family: "Nunito", sans-serif;
}

.navigation-wrapper {
  width: 100%;
  padding: 1rem 8rem;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
}

.navigation-wrapper .navigation-icon {
  text-align: left;
  width: 25%;
}

.navigation-wrapper .navigation-icon img {
  width: 150px;
}

.navigation-wrapper .navigation-search {
  width: 60%;
}

.navigation-wrapper .navigation-search input {
  width: 100%;
  height: 100%;
  padding: 1rem;
  box-sizing: border-box;
  border-radius: 1rem;
}

.navigation-wrapper .navigation-search input:focus {
  outline-width: 0;
}

.navigation-wrapper .navigation-account {
  text-align: center;
  width: 15%;
}

.navigation-wrapper .navigation-account .navigation-account-login {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-left: 2rem;
  box-sizing: border-box;
}

.navigation-wrapper
  .navigation-account
  .navigation-account-login
  .profile-image {
  width: 40px;
  height: 40px;
  border-radius: 20px;
  background-color: grey;
  margin-left: 2rem;
}

.navigation-wrapper .navigation-account .navigation-account-login button {
  border: none;
  background-color: white;
  color: rgb(15, 15, 15);
  padding: 0.5rem 0;
  font-size: 1.2rem;
  font-weight: bold;
}

@media only screen and (max-width: 960px) {
  .navigation-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem 2rem;
    flex-wrap: wrap;
  }
  .navigation-wrapper .navigation-icon {
    text-align: center;
    margin-bottom: 1rem;
  }
  .navigation-wrapper .navigation-search {
    order: 1;
  }
  .navigation-wrapper .navigation-account .navigation-account-login {
    padding-left: 0;
    margin-bottom: 1rem;
  }
  .navigation-wrapper .navigation-search {
    min-width: 75%;
    margin-bottom: 0.5rem;
  }
  .navigation-wrapper .navigation-search input {
    text-align: center;
    height: 50%;
  }
}

@media only screen and (max-width: 555px) {
  .navigation-wrapper .navigation-account {
    width: 25%;
  }
}
